import 'package:dio/dio.dart';

final dio = Dio(
    BaseOptions(baseUrl: "https://api.wikimedia.org/core/v1/wikivoyage/en"));

Future<Response> _getRequest(String endpoint) async {
  return await dio.get(endpoint,
      options: Options(headers: {"User-Agent": "VoyageHandbook/1.0.0"}));
}

Future<String> search(String q, {int limit = 5}) async {
  var r = await _getRequest("search/title?q=$q&limit=$limit");
  if (r.statusCode! > 399) return Future.error("API error ${r.statusCode}");
  return r.data.toString();
}
